%define anolis_release 1
%global srcname munkres

Name:           python-%{srcname}
Version:        1.1.2
Release:        %{anolis_release}%{?dist}
Summary:        A Munkres algorithm for Python

License:        ASL 2.0
URL:            http://software.clapper.org/munkres/
Source0:        https://github.com/bmc/munkres/archive/release-%{version}.tar.gz#/%{srcname}-%{version}.tar.gz
Buildarch:      noarch

%description
The Munkres module provides an implementation of the Munkres algorithm (also
called the Hungarian algorithm or the Kuhn-Munkres algorithm). The algorithm
models an assignment problem as an NxM cost matrix, where each element
represents the cost of assigning the ith worker to the jth job, and it figures
out the least-cost solution, choosing a single item from each row and column in
the matrix, such that no row and no column are used more than once.

%package -n python3-%{srcname}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{srcname}
The Munkres module provides an implementation of the Munkres algorithm (also
called the Hungarian algorithm or the Kuhn-Munkres algorithm). The algorithm
models an assignment problem as an NxM cost matrix, where each element
represents the cost of assigning the ith worker to the jth job, and it figures
out the least-cost solution, choosing a single item from each row and column in
the matrix, such that no row and no column are used more than once.

%package -n python3-%{srcname}-doc
Summary:        %{summary}
Requires:       python3-%{srcname} = %{EVR}
BuildArch:      noarch

%description -n python3-%{srcname}-doc

%prep
%autosetup -n %{srcname}-release-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%license LICENSE.md
%{python3_sitelib}/%{srcname}.py*
%{python3_sitelib}/%{srcname}*.egg-info
%{python3_sitelib}/__pycache__/%{srcname}*

%files -n python3-%{srcname}-doc
%doc CHANGELOG.md README.md

%changelog
* Fri Mar 24 2023 happy_orange <songnannan@linux.alibaba.com> - 1.1.2-1
- init package from upstream
